org.apache.jmeter.protocol.http.config.gui

## Class UrlConfigDefaults

- java.lang.Object
- - org.apache.jmeter.protocol.http.config.gui.UrlConfigDefaults

All Implemented Interfaces:
  Serializable

    public class UrlConfigDefaults
    extends Object
    implements Serializable

Default option value settings for `UrlConfigGui`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UrlConfigDefaults()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDefaultMethod()` Return the default HTTP method to be selected in the `UrlConfigGui`.
`String[]` `getValidMethods()` Return available HTTP methods to be shown in the `UrlConfigGui`, returning `HTTPSamplerBase.getValidMethodsAsArray()` by default if not reset.
`boolean` `isAutoRedirects()`
`boolean` `isAutoRedirectsVisible()`
`boolean` `isFollowRedirects()`
`boolean` `isFollowRedirectsVisible()`
`boolean` `isUseBrowserCompatibleMultipartMode()`
`boolean` `isUseBrowserCompatibleMultipartModeVisible()`
`boolean` `isUseKeepAlive()`
`boolean` `isUseKeepAliveVisible()`
`boolean` `isUseMultipart()`
`boolean` `isUseMultipartVisible()`
`void` `setAutoRedirects(boolean autoRedirects)` Set the default value to be set for the autoRedirects checkbox in the `UrlConfigGui`.
`void` `setAutoRedirectsVisible(boolean autoRedirectsVisible)` Set the visibility of the autoRedirectsVisible checkbox in the `UrlConfigGui`.
`void` `setDefaultMethod(String defaultMethod)` Set the default HTTP method to be selected in the `UrlConfigGui`.
`void` `setFollowRedirects(boolean followRedirects)` Set the default value to be set for the followRedirect checkbox in the `UrlConfigGui`.
`void` `setFollowRedirectsVisible(boolean followRedirectsVisible)` Set the visibility of the followRedirect checkbox in the `UrlConfigGui`.
`void` `setUseBrowserCompatibleMultipartMode(boolean useBrowserCompatibleMultipartMode)` Set the default value to be set for the useBrowserCompatibleMultipartMode checkbox in the `UrlConfigGui`.
`void` `setUseBrowserCompatibleMultipartModeVisible(boolean useBrowserCompatibleMultipartModeVisible)` Set the visibility of the useBrowserCompatibleMultipartModeVisible checkbox in the `UrlConfigGui`.
`void` `setUseKeepAlive(boolean useKeepAlive)` Set the default value to be set for the useKeepAlive checkbox in the `UrlConfigGui`.
`void` `setUseKeepAliveVisible(boolean useKeepAliveVisible)` Set the visibility of the useKeepAliveVisible checkbox in the `UrlConfigGui`.
`void` `setUseMultipart(boolean useMultipart)` Set the default value to be set for the useMultipart checkbox in the `UrlConfigGui`.
`void` `setUseMultipartVisible(boolean useMultipartVisible)` Set the visibility of the useMultipartVisible checkbox in the `UrlConfigGui`.
`void` `setValidMethods(String[] validMethods)` Set available HTTP methods to be shown in the `UrlConfigGui`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UrlConfigDefaults

    public UrlConfigDefaults()

### Method Detail

#### getValidMethods

    public String[] getValidMethods()

Return available HTTP methods to be shown in the `UrlConfigGui`, returning `HTTPSamplerBase.getValidMethodsAsArray()` by default if not reset.

Returns:
  available HTTP methods to be shown in the `UrlConfigGui`

#### setValidMethods

    public void setValidMethods(String[] validMethods)

Set available HTTP methods to be shown in the `UrlConfigGui`.

Parameters:
  `validMethods` - available HTTP methods
Throws:
  `IllegalArgumentException` - if the input array is empty

#### getDefaultMethod

    public String getDefaultMethod()

Return the default HTTP method to be selected in the `UrlConfigGui`.

Returns:
  the default HTTP method to be selected in the `UrlConfigGui`

#### setDefaultMethod

    public void setDefaultMethod(String defaultMethod)

Set the default HTTP method to be selected in the `UrlConfigGui`.

Parameters:
  `defaultMethod` - the default HTTP method to be selected in the `UrlConfigGui`

#### isFollowRedirects

    public boolean isFollowRedirects()

Returns:
  the default value to be set for the followRedirect checkbox in the `UrlConfigGui`.

#### setFollowRedirects

    public void setFollowRedirects(boolean followRedirects)

Set the default value to be set for the followRedirect checkbox in the `UrlConfigGui`.

Parameters:
  `followRedirects` - flag whether redirects should be followed

#### isAutoRedirects

    public boolean isAutoRedirects()

Returns:
  the default value to be set for the autoRedirects checkbox in the `UrlConfigGui`.

#### setAutoRedirects

    public void setAutoRedirects(boolean autoRedirects)

Set the default value to be set for the autoRedirects checkbox in the `UrlConfigGui`.

Parameters:
  `autoRedirects` - flag whether redirects should be followed automatically

#### isUseKeepAlive

    public boolean isUseKeepAlive()

Returns:
  the default value to be set for the useKeepAlive checkbox in the `UrlConfigGui`.

#### setUseKeepAlive

    public void setUseKeepAlive(boolean useKeepAlive)

Set the default value to be set for the useKeepAlive checkbox in the `UrlConfigGui`.

Parameters:
  `useKeepAlive` - flag whether to use keep-alive on HTTP requests

#### isUseMultipart

    public boolean isUseMultipart()

Returns:
  the default value to be set for the useMultipart checkbox in the `UrlConfigGui`.

#### setUseMultipart

    public void setUseMultipart(boolean useMultipart)

Set the default value to be set for the useMultipart checkbox in the `UrlConfigGui`.

Parameters:
  `useMultipart` - flag whether request data should use multi-part feature

#### isUseBrowserCompatibleMultipartMode

    public boolean isUseBrowserCompatibleMultipartMode()

Returns:
  the default value to be set for the useBrowserCompatibleMultipartMode checkbox in the `UrlConfigGui`.

#### setUseBrowserCompatibleMultipartMode

    public void setUseBrowserCompatibleMultipartMode(boolean useBrowserCompatibleMultipartMode)

Set the default value to be set for the useBrowserCompatibleMultipartMode checkbox in the `UrlConfigGui`.

Parameters:
  `useBrowserCompatibleMultipartMode` - flag whether to use browser compatible multi-part mode

#### isFollowRedirectsVisible

    public boolean isFollowRedirectsVisible()

Returns:
  `true` if the followRedirect checkbox should be visible in the `UrlConfigGui`.

#### setFollowRedirectsVisible

    public void setFollowRedirectsVisible(boolean followRedirectsVisible)

Set the visibility of the followRedirect checkbox in the `UrlConfigGui`.

Parameters:
  `followRedirectsVisible` - flag to toggle visibility in GUI

#### isAutoRedirectsVisible

    public boolean isAutoRedirectsVisible()

Returns:
  true if the autoRedirectsVisible checkbox should be visible in the `UrlConfigGui`.

#### setAutoRedirectsVisible

    public void setAutoRedirectsVisible(boolean autoRedirectsVisible)

Set the visibility of the autoRedirectsVisible checkbox in the `UrlConfigGui`.

Parameters:
  `autoRedirectsVisible` - flag to toggle visibility in GUI

#### isUseKeepAliveVisible

    public boolean isUseKeepAliveVisible()

Returns:
  `true` if the useKeepAliveVisible checkbox should be visible in the `UrlConfigGui`.

#### setUseKeepAliveVisible

    public void setUseKeepAliveVisible(boolean useKeepAliveVisible)

Set the visibility of the useKeepAliveVisible checkbox in the `UrlConfigGui`.

Parameters:
  `useKeepAliveVisible` - flag to toggle visibility in GUI

#### isUseMultipartVisible

    public boolean isUseMultipartVisible()

Returns:
  `true` if the useMultipartVisible checkbox should by default in the `UrlConfigGui`.

#### setUseMultipartVisible

    public void setUseMultipartVisible(boolean useMultipartVisible)

Set the visibility of the useMultipartVisible checkbox in the `UrlConfigGui`.

Parameters:
  `useMultipartVisible` - flag to toggle visibility in GUI

#### isUseBrowserCompatibleMultipartModeVisible

    public boolean isUseBrowserCompatibleMultipartModeVisible()

Returns:
  `true` if the useBrowserCompatibleMultipartModeVisible checkbox should be visible in the `UrlConfigGui`.

#### setUseBrowserCompatibleMultipartModeVisible

    public void setUseBrowserCompatibleMultipartModeVisible(boolean useBrowserCompatibleMultipartModeVisible)

Set the visibility of the useBrowserCompatibleMultipartModeVisible checkbox in the `UrlConfigGui`.

Parameters:
  `useBrowserCompatibleMultipartModeVisible` - flag to toggle visibility in GUI